<%@ page language="java"%> 

<%@ page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,java.text.*,m05bClasses.*" %>
<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%> <%
	} 
%>	
<%@ include file="/m05bIdioma.inc"%>

<HTML>
<HEAD>
    <title><%= resTit.getString("titLstGasMensualTarjeta")%></title>	
	<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
	<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
	<SCRIPT language=JavaScript>
			function fncRetornar() {
					 document.formSolicitud.action="/m05bParqueMovilWar/m05bTarjResuMensualJsp.jsp" ;
					 document.formSolicitud.submit();
			}
	</SCRIPT>
</HEAD>	
<%	
	m05bComun miComun=new m05bComun();
	String sGastoMensual = miComun.leerPropiedad("PDF.GastoMensual"); 
%>
<BODY style="cursor: wait" onload="document.body.style.cursor='default';document.all['general'].style.visibility='visible';document.all['general'].style.cursor='default';" onunload="document.body.style.cursor='wait';document.all['general'].style.cursor='wait';">
<div  id="general" style="POSITION: absolute;visibility:hidden;cursor: wait">	
<form NAME="formSolicitud" METHOD="POST">
<%
	String sTarjeta = request.getParameter("CodTarjeta");
	String sSituacion = request.getParameter("SituacionTexto");
	String sFecDesde = request.getParameter("FecDesde");
	String sMatricula = request.getParameter("Matricula");
    //String sFecDesde2=miComun.formatearFecha2(sFecDesde);;	
	String sFecHasta = request.getParameter("FecHasta");
    //String sFecHasta2=miComun.formatearFecha2(sFecHasta);;	
	
	String srcPDF = sGastoMensual + "?CodTarjeta="+sTarjeta +"&Situacion="+sSituacion
	+"&FecDesde="+sFecDesde+"&FecHasta="+sFecHasta+"&Matricula="+sMatricula;;
	java.sql.Connection conn=null;
	PreparedStatement pstmt = null;
	ResultSet rs = null;
      try
      {  //HttpSession session = request.getSession(true);
			m05bConexion miConex = new m05bConexion();
			conn = miConex.getConnection();
   String sSentencia=" SELECT  1 "+
    " FROM " +
    m05bConstantes.TAB_OPEBANCOS+","+ m05bConstantes.TAB_VEHICULOS+","+ 
    m05bConstantes.TAB_TARJETAS+","+m05bConstantes.TAB_BANCOS+
    " WHERE "+
    m05bConstantes.COL_18_MATRICULA +"="+ m05bConstantes.COL_34_MATRICULA+ 
    " AND "+ m05bConstantes.COL_18_MATRICULA +"="+ m05bConstantes.COL_31_MATRICULA+ 
    " AND "+ m05bConstantes.COL_31_CUENTA +"="+ m05bConstantes.COL_03_NCUENTA;
if (!(sSituacion.equals(""))){
        sSituacion=miComun.ListaCaracteres(sSituacion);
    	sSentencia= sSentencia + " AND " + m05bConstantes.COL_34_SITUACION+ " in ("+sSituacion+")";}
if (!(sMatricula.equals(""))){
    	sSentencia= sSentencia + " AND " + m05bConstantes.COL_18_MATRICULA+ " = '"+sMatricula+"'" ;}
if (!(sTarjeta.equals(""))){
    	sSentencia= sSentencia + " AND " + m05bConstantes.COL_18_TARJETA+ " = '"+sTarjeta+"'" ;}
if (!(sFecDesde.equals(""))){
    	sSentencia= sSentencia + " AND " + m05bConstantes.COL_18_FECHA+ " >= TO_DATE('"+sFecDesde+"','mm/yyyy')" ;}
if (!(sFecHasta.equals(""))){
    	sSentencia= sSentencia + " AND " + m05bConstantes.COL_18_FECHA+ " <= TO_DATE('"+sFecHasta+"','mm/yyyy')" ;}
//System.out.println(sSentencia);
     pstmt = conn.prepareStatement(sSentencia);
     rs = pstmt.executeQuery();
%>
	
<TABLE class="general">
  <tr>
       <td width="90%" align="right">
       		<input type="button" class="boton" name="<%= res.getString("etBOT_RETORNAR")%>" value="<%= res.getString("etBOT_RETORNAR")%>" ONCLICK="JavaScript:fncRetornar();" onMouseOver="top.status='<%= res.getString("etBOT_STATUSRETORNAR")%>'; return false" onMouseOut="top.status=''; return false" />
       </td>
    
  </tr>
  <tr>
    <td colspan="2">
    <% if (rs.next() == true){ %>
		<embed name='pdfGastoMensual' src='<%=srcPDF%>' type="application/pdf" width='736' height='500'></embed>
    <%} else {%>
		<embed name='pdfGastoMensual' src='/parquemovil/SinDatos.pdf' type="application/pdf" width='736' height='500'></embed>
    <%}%>
	<%	} catch (Exception ex) {
		m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
			miLog.addTraza(ex);
		} 	finally {
				if (rs != null)
					rs.close();			
				if (pstmt != null)
					pstmt.close();
				if (conn != null)
					conn.close();}%>
  	</td>
  </tr>
</TABLE>
</form>
<script type="text/javascript" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/m05bMsControl.js"></script>
 
</div>		
</body>
</html>
